******************************************************************************************
*** ANOTHER GREAT ILLUSION: THE ADVANCEMENT OF SEPARATISM THROUGH ECONOMIC INTEGRATION ***
******************************************************************************************


****************************
** FIXED EFFECTS ANALYSIS **
****************************

clear
use "/Users/brancati/Documents/Working Papers/Active/AGI/Analysis/SeparatistYRAnalysis2_PSRM.dta"

*EU MEMBERSHIP*

xi: reg p_sepVOTEyr EUindex i.cnty, robust
outreg2 EUindex using "/Users/brancati/Documents/Working Papers/Active/AGI/Analysis/Outreg Files Final/Table1", bdec(2) rdec(3) 2aster se replace
   xi: reg p_sepVOTEyr EUindex d50-d00 i.cnty, robust
   xi: reg urp_iso_vote EUindex i.cnty, robust
   egen urp_iso_sum = sum(urp_iso_vote), by(cnty) missing
   xi: reg p_sepVOTEyr EUindex i.cnty if urp_iso_sum !=0, robust
   *Drop countries that have no uni-regional parties. 
   egen p_sepVOTEyr_sum  = sum(p_sepVOTEyr), by(cnty) missing
   xi: reg p_sepVOTEyr EUindex i.cnty if p_sepVOTEyr_sum !=0, robust
   *Drop countries that have no uni-regional parties. 
   tobit p_sepVOTEyr EUindex, robust ll(0) ul(100)
   *country fixed effects ommitted because convergen not achieved. 
 
xi: reg p_sepVOTEyr ECSC EEC EU EMU i.cnty, robust
outreg2 ECSC EEC EU EMU using "/Users/brancati/Documents/Working Papers/Active/AGI/Analysis/Outreg Files Final/Table1", bdec(2) rdec(3) 2aster se append
 test ECSC EEC EU EMU
 xi: reg p_sepVOTEyr ECSC EEC EU EMU d50-d00 i.cnty, robust
 xi: reg p_sepVOTEyr ECSC EEC EU EMU i.cnty if cnty !="Belgium", robust
 xi: reg p_sepVOTEyr ECSC EEC EU EMU i.cnty if cnty !="United Kingdom", robust
 xi: reg p_sepVOTEyr ECSC EEC EU EMU i.cnty if cnty !="Belgium" & cnty !="United Kingdom", robust
 xi: reg p_sepVOTEyr ECSC EEC EU EMU i.cnty if urp_iso_sum !=0, robust
 xi: reg p_sepVOTEyr ECSC EEC EU EMU i.cnty if p_sepVOTEyr_sum !=0, robust
 tobit p_sepVOTEyr ECSC EEC EU EMU, robust ll(0) ul(100)
  *country fixed effects ommitted because convergen not achieved. 
  
*Robustness*
xi: reg p_coalVOTEMAX ECSC EEC EU EMU i.cnty, robust 
  test ECSC EEC EU EMU
   xi: p_coalVOTEMAX ECSC EEC EU EMU i.cnty if cnty !="Belgium", robust
   xi: reg p_coalVOTEMAX ECSC EEC EU EMU i.cnty if cnty !="United Kingdom", robust
   xi: reg p_coalVOTEMAX ECSC EEC EU EMU i.cnty if cnty =!"Belgium" & cnty !="United Kingdom", robust 
 
*European Integration without regard to membership 
gen EUperiod = 0
replace EUperiod = 1 if year >= 1952 & year <= 1956
replace EUperiod = 2 if year >= 1957 & year <= 1991
replace EUperiod = 3 if year >= 1992 & year >= 1998
replace EUperiod = 4 if year >= 1999 & year <= 2008  
  
xi: reg p_sepVOTEyr EUperiod d50-d00 i.cnty, robust
xi: reg p_sepVOTEyr ECSC EEC EU EMU EUperiod d50-d00 i.cnty, robust  
  
*Robustness (not mentioned in paper)* 
 gen p_sepVOTEyr_uncode = p_sepVOTEyr+urp_iso_uncoded
 xi: reg p_sepVOTEyr_uncode ECSC EEC EU EMU d50-d00 i.cnty, robust
 test ECSC EEC EU EMU
 *treats all uncoded uni-regional parties (that did not win seats) as separatist parties
 gen EEurope = 1 if (cnty == "Albania" | cnty =="Bosnia-Herzegovina" | cnty  == "Bulgaria" | cnty == "Croatia" | cnty == "Czech Republic" | cnty == "Czechoslovakia" | cnty == "Estonia" | cnty == "Hungary" | cnty == "Latvia" | cnty == "Lithuania" | cnty == "Moldova" | cnty == "Poland" | cnty == "Romania" | cnty=="Slovenia" | cnty == "Slovakia")
 recode EEurope . = 0
 reg p_sepVOTEyr ECSC EEC EU EMU d50-d00 EEurope, robust


*TRADE*
xi: reg p_sepVOTEyr ECSC EEC EU EMU trade i.cnty, robust
outreg2  ECSC EEC EU EMU NATO trade using "/Users/brancati/Documents/Working Papers/Active/AGI/Analysis/Outreg Files Final/Table1", bdec(2) rdec(3)  2aster  se append 
 test ECSC EEC EU EMU 
    xi: reg p_sepVOTEyr ECSC EEC EU EMU trade d50-d00 i.cnty, robust  
    xi: reg urp_iso_vote ECSC EEC EU EMU trade i.cnty, robust
    xi: reg p_sepVOTEyr ECSC EEC EU EMU trade i.cnty if cnty !="Belgium", robust
    xi: reg p_sepVOTEyr ECSC EEC EU EMU trade i.cnty if cnty !="United Kingdom", robust
    xi: reg p_sepVOTEyr ECSC EEC EU EMU trade i.cnty if cnty !="Belgium" & cnty !="United Kingdom", robust
    xi: reg p_sepVOTEyr ECSC EEC EU EMU trade i.cnty if urp_iso_sum !=0, robust
    xi: reg p_sepVOTEyr ECSC EEC EU EMU trade i.cnty if p_sepVOTEyr_sum !=0, robust
    tobit p_sepVOTEyr ECSC EEC EU EMU trade, robust ll(0) ul(100)
    *country fixed effects ommitted because convergen not achieved. 
   
*FOREIGN DIRECT INVESTMENT**    
xi: reg p_sepVOTEyr ECSC EEC EU EMU fdi_inflows fdi_outflows i.cnty, robust
outreg2  ECSC EEC EU EMU fdi_inflows fdi_outflows using "/Users/brancati/Documents/Working Papers/Active/AGI/Analysis/Outreg Files Final/Table1", bdec(2) rdec(3)  2aster se append 
test ECSC EEC EU EMU 
  xi: reg urp_iso_vote ECSC EEC EU EMU fdi_inflows fdi_outflows i.cnty, robust
  xi: reg p_sepVOTEyr ECSC EEC EU EMU fdi_inflows fdi_outflows d50-d00 i.cnty, robust
  xi: reg p_sepVOTEyr ECSC EEC EU EMU fdi_inflows i.cnty, robust
  xi: reg p_sepVOTEyr ECSC EEC EU EMU fdi_outflows i.cnty, robust
  xi: reg p_sepVOTEyr ECSC EEC EU EMU fdi_inflows fdi_outflows i.cnty if urp_iso_sum !=0, robust
  xi: reg p_sepVOTEyr ECSC EEC EU EMU fdi_inflows fdi_outflows i.cnty if p_sepVOTEyr_sum !=0, robust
  tobit p_sepVOTEyr ECSC EEC EU EMU fdi_inflows fdi_outflows, robust ll(0) ul(100)

  
*SIMULTANEOUS DOMESTIC INSTITUTIONAL CHANGES (NOT AFFECTED BY ECONOMIC INTEGRATION)* 
xi: reg p_sepVOTEyr ECSC EEC EU EMU NATO felect polity2 avgdm president i.cnty, robust
outreg2 ECSC EEC EU EMU NATO NATO felect polity2 avgdm using "/Users/brancati/Documents/Working Papers/Active/AGI/Analysis/Outreg Files Final/Table1", bdec(2) rdec(3) 2aster se append
 test ECSC EEC EU EMU
 xi: reg urp_iso_vote ECSC EEC EU EMU NATO felect polity2 avgdm president i.cnty, robust
 xi: reg p_sepVOTEyr ECSC EEC EU EMU NATO felect polity2 avgdm president d50-d00 i.cnty, robust
 xi: reg p_sepVOTEyr ECSC EEC EU EMU NATO felect polity2 avgdm president i.cnty if cnty !="Belgium", robust
 xi: reg p_sepVOTEyr ECSC EEC EU EMU NATO felect polity2 avgdm president i.cnty if cnty !="United Kingdom", robust
 xi: reg p_sepVOTEyr ECSC EEC EU EMU NATO felect polity2 avgdm president i.cnty if cnty = !"Belgium" & cnty !="United Kingdom", robust
 xi: reg p_sepVOTEyr ECSC EEC EU EMU NATO felect polity2 avgdm president i.cnty if urp_iso_sum !=0, robust
 xi: reg p_sepVOTEyr ECSC EEC EU EMU NATO felect polity2 avgdm president i.cnty if p_sepVOTEyr_sum !=0, robust
 tobit p_sepVOTEyr ECSC EEC EU EMU NATO felect polity2 avgdm president, robust ll(0) ul(100)

*SIMULTANEOUS INSTITUTIONAL CHANGES (POTENTIALLY AFFECTED BY ECONOMIC INTEGRATION)*
xi: reg p_sepVOTEyr ECSC EEC EU EMU NATO felect polity2 avgdm gdpcap dcen president i.cnty, robust
outreg2  ECSC EEC EU EMU NATO felect polity2 avgdm gdpcap dcen using "/Users/brancati/Documents/Working Papers/Active/AGI/Analysis/Outreg Files Final/Table1", bdec(2) rdec(3) 2aster se append 
 test ECSC EEC EU EMU
 xi: reg urp_iso_vote ECSC EEC EU EMU NATO felect polity2 avgdm gdpcap dcen president i.cnty, robust
 xi: reg p_sepVOTEyr ECSC EEC EU EMU NATO felect polity2 avgdm gdpcap dcen president d50-d00 i.cnty, robust
 xi: reg p_sepVOTEyr ECSC EEC EU EMU NATO gdpcap i.cnty, robust
 xi: reg p_sepVOTEyr ECSC EEC EU EMU NATO gdpcap dcen i.cnty, robust
 xi: reg p_sepVOTEyr ECSC EEC EU EMU NATO felect polity2 avgdm gdpcap dcen president Oilrents i.cnty, robust
 xi: reg p_sepVOTEyr ECSC EEC EU EMU NATO felect polity2 avgdm gdpcap dcen_index president i.cnty, robust
 xi: reg p_sepVOTEyr ECSC EEC EU EMU NATO felect polity2 avgdm gdpcap expshare president i.cnty, robust
 xi: reg p_sepVOTEyr ECSC EEC EU EMU NATO felect polity2 avgdm gdpcap revshare president i.cnty, robust
 xi: reg p_sepVOTEyr ECSC EEC EU EMU NATO felect polity2 avgdm gdpcap dcen president i.cnty if urp_iso_sum !=0, robust
 xi: reg p_sepVOTEyr ECSC EEC EU EMU NATO felect polity2 avgdm gdpcap dcen president i.cnty if p_sepVOTEyr_sum !=0, robust
   
*EXCLUDE NON-IRREDENTIST PARTIES*
gen p_nonIRsepVOTEyr = p_sepVOTEyr-p_IRvoteyr
gen p_nonIRsepSEATyr = p_sepSEATyr-p_IRseatyr
 replace p_nonIRsepVOTEyr = round(p_nonIRsepVOTEyr,.0001)
 replace p_nonIRsepSEATyr = round(p_nonIRsepSEATyr,.0001)
  *Rounded due to hidden digits causing problems in the subtraction. 
xi: reg p_nonIRsepVOTEyr EU i.cnty, robust
xi: reg p_nonIRsepVOTEyr EU trade i.cnty, robust
xi: reg p_nonIRsepVOTEyr EU fdi_inflows fdi_outflows i.cnty, robust
xi: reg p_nonIRsepVOTEyr EU NATO felect polity2 avgdm i.cnty, robust
xi: reg p_nonIRsepVOTEyr EU trade NATO felect polity2 avgdm gdpcap dcen i.cnty, robust

************
*DISCUSSION*
************

tab p_sepVOTEyr
tabstat p_sepVOTEyr if (cnty == "Belgium" | cnty == "France" | cnty =="Germany" | cnty == "Italy" | cnty == "Spain" | cnty=="United Kingdom"| cnty == "West Germany")
twoway (bar p_sepVOTEyr EU if cnty == "Belgium", sort) (bar p_VsepVOTEyr EU if cnty == "Italy", sort) (bar p_sepVOTEyr EU if cnty == "Germany", sort) (bar p_sepVOTEyr EU if cnty == "Spain", sort) (bar p_sepVOTEyr EU if cnty == "United Kingdom", sort), legend(on order(1 "Belgium" 2 "Italy" 3 "Germany"  4 "Spain" 5 "United Kingdom"))
