********************************
***TYPE OF SEPARATIST PARTIES***
********************************

clear
use "/Users/brancati/Documents/Working Papers/Active/AGI/Analysis/SeparatistPartyAnalysis3_PSRM.dta"
 
**ALL PARTIES** 
xi: reg p_sepVOTEyr EUindex NATO dcen i.region, robust
xi: reg p_sepVOTEyr ECSC EEC EU EMU NATO dcen i.region, robust
outreg2 ECSC EEC EU EMU NATO dcen using "/Users/brancati/Documents/Working Papers/Active/AGI/Analysis/Outreg Files Final/Table2", bdec(2) rdec(3) 2aster se replace 
test ECSC EEC EU EMU 
 xi: reg p_sepVOTEyr ECSC EEC EU EMU NATO dcen d50-d00 i.region, robust
 xi: reg p_sepVOTEyr ECSC EEC EU EMU NATO dcen i.region if cnty != "Belgium", robust
 xi: reg p_sepVOTEyr ECSC EEC EU EMU NATO dcen i.region if cnty != "United Kingdom", robust
 xi: reg p_sepVOTEyr ECSC EEC EU EMU NATO dcen i.party if IR != 1, robust
 xi: reg p_sepVOTEyr EUindex NATO dcen rich RT proEU violent i.region, robust
 xi: tobit p_sepVOTEyr EUindex NATO dcen i.region, robust ll(0) ul(100)

 xi: reg p_sepVOTEyr trade NATO dcen i.party, robust
 xi: reg p_sepVOTEyr trade NATO dcen d50-d00 i.party, robust
 xi: reg p_sepVOTEyr trade NATO dcen i.party if cnty != "Belgium", robust
 xi: reg p_sepVOTEyr trade NATO dcen i.party if cnty != "United Kingdom", robust

xi: reg p_sepVOTEyr fdi_inflows NATO dcen d50-d00 i.party, robust
xi: reg p_sepVOTEyr fdi_outflows NATO dcen d50-d00 i.party, robust
 
*NOTE: Bosnia falls out of analysis if Polity2 is included. All non-first elections score 9 or 10 on Polity 2, only first elections do not. So, first election variable picks up the effect OK. Included democracy increases separatist vote.
    
**RICH REGION PARTIES** 
**RICH: Spain; Italy., Germany; West Germany. POOR: Belgium; Spain (Canaries); UK*
  
bysort EU rich: tabstat p_sepVOTEyr
 
gen EUindex_rich = EUindex*rich 
gen ECSC_rich = ECSC*rich
gen EEC_rich = EEC*rich
gen EU_rich = EU*rich 
gen EMU_rich = EMU*rich

xi: reg p_sepVOTEyr EUindex EUindex_rich rich NATO dcen i.region, robust
 outreg2 EUindex EUindex_rich rich NATO dcen using "/Users/brancati/Documents/Working Papers/Active/AGI/Analysis/Outreg Files Final/Table2", bdec(2) rdec(3) 2aster se append 
 test EUindex rich EUindex_rich
 prvalue, x(EUindex=1 rich=1 EUindex_rich=1)
 prvalue, x(EUindex=1 rich=0 EUindex_rich=0)
xi: reg p_sepVOTEyr EUindex EUindex_rich rich NATO dcen d50-d00 i.region, robust
tobit p_sepVOTEyr EUindex EUindex_rich rich NATO dcen, robust ll(0) ul(100)

xi: reg p_sepVOTEyr ECSC EEC EU EMU ECSC_rich rich NATO dcen i.region, robust 
 test ECSC_rich EU rich
 prvalue, x(ECSC=1 rich=1 ECSC_rich=1)
 prvalue, x(ECSC=1 rich=0 ECSC_rich=0)
xi: reg p_sepVOTEyr ECSC EEC EU EMU EEC_rich rich NATO dcen i.region, robust 
 test EEC_rich EEC rich
 prvalue, x(EEC=1 rich=1 EEC_rich=1)
 prvalue, x(EEC=1 rich=0 EEC_rich=0)
xi: reg p_sepVOTEyr ECSC EEC EU EMU EU_rich rich NATO dcen i.region, robust 
 test EU_rich EU rich
 prvalue, x(EU=1 rich=1 EU_rich=1)
 prvalue, x(EU=1 rich=0 EU_rich=0)
xi: reg p_sepVOTEyr ECSC EEC EU EMU EMU_rich rich NATO dcen i.region, robust 
 test EMU_rich EMU rich
 prvalue, x(EMU=1 rich=1 EMU_rich=1)
 prvalue, x(EMU=1 rich=0 EMU_rich=0)
 
**ROBUSTNESS** 
 xi: reg p_sepVOTEyr EUindex EUindex_rich rich NATO dcen i.region if cnty != "Belgium", robust
 test EUindex rich EUindex_rich
 xi: reg p_sepVOTEyr EUindex EUindex_rich rich NATO dcen i.region if cnty != "United Kingdom", robust
 xi: reg p_sepVOTEyr EUindex EUindex_rich rich NATO dcen i.region if cnty != "Italy", robust
 xi: reg p_sepVOTEyr EUindex EUindex_rich rich NATO dcen i.region if IR != 1, robust
   
 gen trade_rich = trade*rich 
 xi: reg p_sepVOTEyr trade trade_rich rich NATO dcen i.region, robust
 test trade trade_rich rich  
 prvalue, x(trade=50 rich=1 trade_rich=50)
 prvalue, x(trade=50 rich=0 trade_rich=0)
 xi: reg p_sepVOTEyr trade trade_rich rich NATO dcen d50-d00 i.region, robust  
 test trade trade_rich rich  
 xi: reg p_sepVOTEyr trade trade_rich rich NATO dcen i.region if cnty != "Belgium", robust  
 tobit p_sepVOTEyr trade trade_rich rich NATO dcen, robust ll(00) ul(100)
 
 gen FDIinflows_rich = fdi_inflows*rich 
 xi: reg p_sepVOTEyr FDIinflows_rich fdi_inflows rich NATO dcen i.region, robust 
 test fdi_inflows rich FDIinflows_rich
 prvalue, x(fdi_inflows=10 rich=1 FDIinflows_rich=10)
 prvalue, x(fdi_inflows=10 rich=0 FDIinflows_rich=0)
 xi: reg p_sepVOTEyr FDIinflows_rich fdi_inflows rich NATO dcen d50-d00 i.region, robust  
 xi: reg p_sepVOTEyr FDIinflows_rich fdi_inflows rich NATO dcen i.region if cnty != "Belgium", robust 
 test FDIinflows_rich fdi_inflows rich 
  
 gen FDIoutflows_rich = fdi_outflows*rich 
 xi: reg p_sepVOTEyr FDIoutflows_rich fdi_outflows rich NATO dcen i.region, robust
 test FDIoutflows_rich fdi_outflows rich   
 prvalue, x(fdi_outflows=10 rich=1 FDIoutflows_rich=10)
 prvalue, x(fdi_outflows=10 rich=0 FDIoutflows_rich=0)
 xi: reg p_sepVOTEyr FDIoutflows_rich fdi_outflows rich NATO dcen d50-d00 i.region, robust  

**ROBUSTNESS: Flanders and Bavaria are rich, but not richer than the average. Explore the effect of recoding Flanders and Bavaria.** 
 recode rich 0 = 1 if cnty == "Belgium" 
 drop EUindex_rich
 gen EUindex_rich = EUindex*rich
 xi: reg p_sepVOTEyr EUindex_rich rich NATO dcen i.region, robust
 test EUindex rich EUindex_rich
 *Results are not sensitive to Belgium*
   
**RIGHT-WING PARTIES**
**RT: Belgium, Germany, Italy, UK and West Germany. LFT: France, Spain and UK
 bysort EU RT: tabstat p_sepVOTEyr
 bysort EU: tabstat p_sepVOTEyr if RT == 0
 bysort EU: tabstat p_sepVOTEyr if RT == 1
 bysort RT: tabstat p_sepVOTEyr
   
gen EUindex_RT = EUindex*RT  
gen ECSC_RT = ECSC*RT
gen EEC_RT = EEC*RT
gen EU_RT = EU*RT 
gen EMU_RT = EMU*RT  

 xi: reg p_sepVOTEyr EUindex EUindex_RT RT NATO dcen i.region, robust
 outreg2 EUindex EUindex_RT RT NATO dcen using "/Users/brancati/Documents/Working Papers/Active/AGI/Analysis/Outreg Files Final/Table2", bdec(2) rdec(3) 2aster   se append 
 test EUindex EUindex_RT RT
 prvalue, x(EUindex=1 RT=1 EUindex_RT=1)
 prvalue, x(EUindex=1 RT=0 EUindex_RT=0)
 xi: reg p_sepVOTEyr EUindex EUindex_RT RT NATO dcen i.region if IR != 1, robust 
 xi: reg p_sepVOTEyr EUindex EUindex_RT RT NATO dcen i.region if cnty !="Belgium", robust
 tobit  p_sepVOTEyr EUindex EUindex_RT RT NATO dcen, robust ll(00) ul(100)
 
 xi: reg p_sepVOTEyr ECSC EEC EU EMU ECSC_RT RT NATO dcen i.region, robust 
 test ECSC ECSC_RT RT 
 prvalue, x(ECSC=1 RT=1 ECSC_RT=1)
 prvalue, x(ECSC=1 RT=0 ECSC_RT=0)
 xi: reg p_sepVOTEyr ECSC EEC EU EMU ECSC_RT RT NATO dcen i.region if cnty !="Belgium", robust 
 xi: reg p_sepVOTEyr ECSC EEC EU EMU EEC_RT RT NATO dcen i.region, robust 
 test EEC EEC_RT RT
 prvalue, x(EEC=1 RT=1 EEC_RT=1)
 prvalue, x(EEC=1 RT=0 EEC_RT=0)
 xi: reg p_sepVOTEyr ECSC EEC EU EMU EEC_RT RT NATO dcen i.region if cnty !="Belgium", robust  
 xi: reg p_sepVOTEyr ECSC EEC EU EMU EU_RT RT NATO dcen i.region, robust
 test EU EU_RT RT
 prvalue, x(EU=1 RT=1 EU_RT=1)
 prvalue, x(EU=1 RT=0 EU_RT=0)
 xi: reg p_sepVOTEyr ECSC EEC EU EMU EU_RT RT NATO dcen i.region if cnty !="Belgium", robust
 xi: reg p_sepVOTEyr ECSC EEC EU EMU EMU_RT RT NATO dcen i.region, robust 
 test EMU EMU_RT RT
 prvalue, x(EMU=1 RT=1 EMU_RT=1)
 prvalue, x(EMU=1 RT=0 EMU_RT=0)
 xi: reg p_sepVOTEyr ECSC EEC EU EMU EMU_RT RT NATO dcen i.region if cnty !="Belgium", robust 
 tobit eg p_sepVOTEyr ECSC EEC EU EMU EMU_RT RT NATO dcen, robust ll(00) ul(100)
  
**ROBUSTNESS**  
xi: reg p_sepVOTEyr EUindex EUindex_RT RT NATO dcen i.region, robust
xi: reg p_sepVOTEyr EUindex EUindex_RT RT NATO dcen d50-d00 i.region, robust
xi: reg p_sepVOTEyr EUindex EUindex_RT RT NATO dcen i.region if cnty !="Belgium", robust
  test EUindex EUindex_RT RT
xi: reg p_sepVOTEyr EUindex EUindex_RT RT NATO dcen i.region if cnty !="Italy", robust
  test EUindex EUindex_RT RT
xi: reg p_sepVOTEyr EUindex EUindex_RT RT NATO dcen i.region  if cnty !="Belgium" & cnty !="Italy", robust
  test EUindex EUindex_RT RT

egen RTrsum = sum(p_sepVOTEyr) if RT !=., by (cnty year region RT) missing
replace RTrsum = 0 if RT == 0 & RT !=.
duplicates drop cnty year region, force
xi: reg RTrsum EUindex  NATO dcen i.region, robust
xi: reg RTrsum ECSC EEC EU EMU  NATO dcen i.region, robust
  test ECSC EEC EU EMU
xi: reg RTrsum trade_RT NATO dcen i.region, robust  
xi: reg RTrsum fdi_inflows NATO dcen i.region, robust  
xi: reg RTrsum fdi_outflows  NATO dcen i.region, robust  
  clear
 gen trade_RT = trade*RT 
 xi: reg p_sepVOTEyr trade trade_RT RT NATO dcen i.region, robust 
 test trade trade_RT RT  
 prvalue, x(trade=75 RT=1 trade_RT=75)
 prvalue, x(trade=75 RT=0 trade_RT=0) 
 xi: reg p_sepVOTEyr trade trade_RT RT NATO dcen d50-d00 i.region, robust 
 xi: reg p_sepVOTEyr trade trade_RT RT NATO dcen i.region if cnty !="Belgium", robust
 test trade trade_RT RT  
 
 gen FDIinflows_RT = fdi_inflows*RT 
 xi: reg p_sepVOTEyr FDIinflows_RT fdi_inflows RT NATO dcen i.region, robust 
 test FDIinflows_RT fdi_inflows RT  
 xi: reg p_sepVOTEyr FDIinflows_RT fdi_inflows RT NATO dcen d50-d00 i.region, robust  
 
 gen FDIoutflows_RT = fdi_outflows*RT 
 xi: reg p_sepVOTEyr FDIoutflows_RT fdi_outflows RT NATO dcen i.region, robust
 test FDIoutflows_RT fdi_outflows RT 
 xi: reg p_sepVOTEyr FDIoutflows_RT fdi_outflows RT NATO dcen d50-d00 i.region, robust  
 
  
**PRO-EU PARTIES**  
**PROEU: Belgium, Germany, Italy; Spain, UK and West Germany. Anti-EU: Spain and UK
  
bysort EU proEU: tabstat p_sepVOTEyr
bysort EU proEU: tabstat p_sepVOTEyr if cnty == "Spain"

gen EUindex_proEU = EUindex*proEU  
gen ECSC_proEU = ECSC*proEU
gen EEC_proEU = EEC*proEU
gen EU_proEU = EU*proEU 
gen EMU_proEU = EMU*proEU   
  
xi: reg p_sepVOTEyr EUindex EUindex_proEU proEU NATO dcen i.region, robust
 outreg2 EUindex EUindex_proEU proEU NATO dcen using "/Users/brancati/Documents/Working Papers/Active/AGI/Analysis/Outreg Files Final/Table2", bdec(2) rdec(3) 2aster se append
 test EUindex EUindex_proEU proEU 
 prvalue, x(EUindex=1 proEU=1 EUindex_proEU=1)
 prvalue, x(EUindex=1 proEU=0 EUindex_proEU=0)
  xi: reg p_sepVOTEyr EUindex EUindex_proEU proEU NATO dcen d50-d00 i.region, robust
  xi: reg p_sepVOTEyr EUindex EUindex_proEU proEU NATO dcen i.region if cnty != "United Kingdom", robust
  test EUindex EUindex_proEU proEU
  xi: reg p_sepVOTEyr EUindex EUindex_proEU proEU NATO dcen i.region if IR != 1, robust 
   
xi: reg p_sepVOTEyr ECSC EEC EU EMU proEU ECSC_proEU NATO dcen i.region, robust
 test ECSC proEU ECSC_proEU
 prvalue, x(ECSC=1 proEU=1 ECSC_proEU=1)
 prvalue, x(ECSC=1 proEU=0 ECSC_proEU=0)
xi: reg p_sepVOTEyr ECSC EEC EU EMU proEU NATO EEC_proEU dcen i.region, robust
 test EEC proEU EEC_proEU
 prvalue, x(EEC=1 proEU=1 EEC_proEU=1)
 prvalue, x(EEC=1 proEU=0 EEC_proEU=0)
xi: reg p_sepVOTEyr ECSC EEC EU EMU proEU NATO EU_proEU dcen i.region, robust
 test EU proEU EU_proEU
 prvalue, x(EU=1 proEU=1 EU_proEU=1)
 prvalue, x(EU=1 proEU=0 EU_proEU=0)
xi: reg p_sepVOTEyr ECSC EEC EU EMU proEU NATO dcen EMU_proEU i.region, robust
 test EMU proEU EMU_proEU
 prvalue, x(EMU=1 proEU=1 EMU_proEU=1)
 prvalue, x(EMU=1 proEU=0 EMU_proEU=0)

**ROBUSTNESS**
egen PROEUrsum = sum(p_sepVOTEyr) if proEU !=., by (cnty year region proEU) missing
replace PROEUrsum = 0 if proEU == 0 & proEU !=.
duplicates drop cnty year region, force
xi: reg PROEUrsum EUindex NATO dcen i.region, robust
xi: reg PROEUrsum ECSC EEC EU EMU NATO dcen i.region, robust
test ECSC EEC EU EMU
xi: reg PROEUrsum fdi_outflows NATO dcen i.region, robust

clear
 gen trade_proEU = trade*proEU 
 xi: reg p_sepVOTEyr trade trade_proEU proEU NATO dcen i.region, robust  
  test trade trade_proEU proEU 
 xi: reg p_sepVOTEyr trade trade_proEU proEU NATO dcen d50-d00 i.region, robust  
 xi: reg p_sepVOTEyr trade trade_proEU proEU NATO dcen i.region, if cnty != "United Kingdom", robust  
   test trade trade_proEU proEU  
  
 gen FDIinflows_proEU = fdi_inflows*proEU
 xi: reg p_sepVOTEyr FDIinflows_proEU fdi_inflows proEU NATO dcen i.region, robust  
  test FDIinflows_proEU fdi_inflows proEU  
 xi: reg p_sepVOTEyr FDIinflows_proEU fdi_inflows proEU NATO dcen d50-d00 i.region, robust  
 xi: reg p_sepVOTEyr FDIinflows_proEU fdi_inflows proEU NATO dcen i.region if cnty != "United Kingdom", robust  
 test FDIinflows_proEU fdi_inflows proEU 
   
 gen FDIoutflows_proEU = fdi_outflows*proEU 
 xi: reg p_sepVOTEyr FDIoutflows_proEU fdi_outflows proEU NATO dcen i.region, robust  
  test FDIoutflows_proEU fdi_outflows proEU 
  prvalue, x(fdi_outflows=10 proEU=1 FDIoutflows_proEU=10)
  prvalue, x(fdi_outflows=10 proEU=0 FDIoutflows_proEU=0)
 xi: reg p_sepVOTEyr FDIoutflows_proEU fdi_outflows proEU NATO dcen d50-d00 i.region, robust  
 xi: reg p_sepVOTEyr FDIoutflows_proEU fdi_outflows proEU NATO dcen i.region if cnty != "United Kingdom", robust  
   test FDIoutflows_proEU fdi_outflows proEU  
 
 
**VIOLENT** 
*Violent: Spain and UK: Non-violent: Belgium, Germany, Italy; Spain, UK and West Germany
  
bysort EU violent: tabstat p_sepVOTEyr
bysort EU violent: tabstat p_sepVOTEyr if cnty == "Spain"

gen EUindex_violent = EUindex*violent  
gen ECSC_violent = ECSC*violent
gen EEC_violent = EEC*violent
gen EU_violent = EU*violent 
gen EMU_violent = EMU*violent   
    
xi: reg p_sepVOTEyr EUindex EUindex_violent violent NATO dcen i.region, robust
outreg2 EUindex EUindex_violent violent NATO dcen using "/Users/brancati/Documents/Working Papers/Active/AGI/Analysis/Outreg Files Final/Table2", bdec(2) rdec(3) 2aster se append
test EUindex EUindex_violent violent 
 prvalue, x(EUindex=1 violent=1 EUindex_violent=1)
 prvalue, x(EUindex=1 violent=0 EUindex_violent=0)
 xi: reg p_sepVOTEyr EUindex EUindex_violent violent NATO dcen d50-d00 i.region, robust
 xi: reg p_sepVOTEyr EUindex EUindex_violent violent NATO dcen i.region if IR != 1, robust


xi: reg p_sepVOTEyr ECSC EEC EU EMU ECSC_violent violent NATO dcen i.region, robust
  test ECSC ECSC_violent violent
  prvalue, x(ECSC=1 violent=1 ECSC_violent=1)
  prvalue, x(ECSC=1 violent=0 ECSC_violent=0)
xi: reg p_sepVOTEyr ECSC EEC EU EMU EEC_violent violent NATO dcen i.region, robust
  test EEC EEC_violent violent
  prvalue, x(EEC=1 violent=1 EEC_violent=1)
  prvalue, x(EEC=1 violent=0 EEC_violent=0)
xi: reg p_sepVOTEyr ECSC EEC EU EMU EU_violent violent NATO dcen i.region, robust
  test EU EU_violent violent
  prvalue, x(EU=1 violent=1 EU_violent=1)
  prvalue, x(EU=1 violent=0 EU_violent=0)
xi: reg p_sepVOTEyr ECSC EEC EU EMU EMU_violent violent NATO dcen i.region, robust
  test EMU EMU_violent violent
  prvalue, x(EMU=1 violent=1 EMU_violent=1)
  prvalue, x(EMU=1 violent=0 EMU_violent=0)
  
**Robustness**
egen VIOLENTrsum = sum(p_sepVOTEyr) if violent != ., by (cnty year region violent) missing
replace VIOLENTrsum = 0 if violent == 0 & violent != .
duplicates drop cnty year region, force
xi: reg VIOLENTrsum EUindex NATO dcen i.region, robust
xi: reg VIOLENTrsum ECSC EEC EU EMU NATO dcen i.region, robust
test ECSC EEC EU EMU
xi: reg VIOLENTrsum fdi_inflows dcen i.region, robust
xi: reg VIOLENTrsum fdi_outflows dcen i.region, robust
 gen trade_violent = trade*violent 
 xi: reg p_sepVOTEyr trade trade_violent violent NATO dcen i.region, robust
 test trade trade_violent violent
 prvalue, x(trade=50 violent=1 trade_violent=50)
 prvalue, x(trade=50 violent=0 trade_violent=0)   
 xi: reg p_sepVOTEyr trade trade_violent violent NATO dcen d50-d00 i.region, robust
 test trade trade_violent violent
 
 gen FDIinflows_violent = fdi_inflows*violent 
 xi: reg p_sepVOTEyr FDIinflows_violent fdi_inflows violent NATO dcen i.region, robust  
 test trade trade_violent violent
 prvalue, x(fdi_inflows=5 violent=1 FDIinflows_violent=5)
 prvalue, x(fdi_inflows=5 violent=0 FDIinflows_violent=0)  
 xi: reg p_sepVOTEyr FDIinflows_violent fdi_inflows violent NATO dcen d50-d00 i.region, robust  
 test FDIinflows_violent fdi_inflows violent  

 gen FDIoutflows_violent = fdi_outflows*violent
 xi: reg p_sepVOTEyr FDIoutflows_violent fdi_outflows violent NATO dcen i.region, robust  
 test FDIoutflows_violent fdi_outflows violent  
 prvalue, x(fdi_outflows=5 violent=1 FDIoutflows_violent=5)
 prvalue, x(fdi_outflows=5 violent=0 FDIoutflows_violent=0)   
 xi: reg p_sepVOTEyr FDIoutflows_violent fdi_outflows violent NATO dcen d50-d00 i.region, robust  
 
  
